# BatchSearchParticipants

Handles batch search requests by uploading a file containing search parameters.

`POST /trading-partners/batch-searches`

**API:** Avalara E-Invoicing API
**Tag:** Trading Partners
**API Version:** 1.6
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.6/methods/Trading%20Partners/BatchSearchParticipants/

## Description

This endpoint creates a batch search and performs a batch search in the directory for participants in the background.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | Header that specifies the API version to use (for example "1.6"). |
| `X-Avalara-Client` | string | header | No | Optional header for a client identifier string used for diagnostics (for example "Fingerprint"). |
| `name` | string | query | Yes | A human-readable name for the batch search. |
| `notificationEmail` | string | query | Yes | The email address to which a notification will be sent once the batch search is complete. |
| `X-Correlation-ID` | string | header | No | Optional correlation identifier provided by the caller to trace the call (for example "f3f0d19a-01a1-4748-8a58-f000d0424f43"). |

## Request Body

**Content-Type:** `multipart/form-data`

## Responses

| Status | Description | Schema |
|---|---|---|
| 202 | Batch search file accepted for processing the search. |  |
| 400 | Invalid request | `ErrorResponse` |
| 401 | Unauthorized | `ErrorResponse` |
| 403 | Forbidden | `ErrorResponse` |
| 500 | Internal server error. | `ErrorResponse` |

## Example Request

```bash
curl -X POST "https://api.sbx.avalara.com/einvoicing/trading-partners/batch-searches" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "file": "example_file"
}'
```